EPRIMER32(1e)

NAME
eprimer32 - Picks PCR primers and hybridization oligos

SYNOPSIS

eprimer32 -sequence seqall [-primer toggle] -task list [-hybridprobe toggle] -mishyblibraryfile infile -mispriminglibraryfile infile [-numreturn integer] [-includedregion range] [-targetregion range] [-excludedregion range] [-forwardinput string] [-reverseinput string] -gcclamp integer -osize integer -minsize integer -maxsize integer -otm float -mintm float -maxtm float -maxdifftm float -ogcpercent float -mingc float -maxgc float -saltconc float -dnaconc float -maxpolyx integer -psizeopt integer -prange range -ptmopt float -ptmmin float -ptmmax float -oexcludedregion range -oligoinput string -osizeopt integer -ominsize integer -omaxsize integer -otmopt float -otmmin float -otmmax float -ogcopt float -ogcmin float -ogcmax float -osaltconc float -odnaconc float -oanyself float -oendself float -opolyxmax integer -omishybmax float -explainflag boolean -fileflag boolean -firstbaseindex integer -pickanyway boolean -maxmispriming float -pairmaxmispriming float -numnsaccepted integer -selfany float -selfend float -scorrection list -tmformula list -maxendstability float -outfile outfile

eprimer32 -help

DESCRIPTION

eprimer32 is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Nucleic:Primers" command group(s).

OPTIONS

  Input section

-sequence seqall
    The sequence from which to choose primers. The sequence must be presented 5' to 3'

-primer toggle
    Tell Eprimer32 to pick primer(s) Default value: Y

-task list
    Tell Eprimer32 what task to perform. Legal values are 1: 'Pick PCR primers', 2: 'Pick forward primer only', 3: 'Pick reverse primer only', 4: 'No primers needed'. Default value: 1

-hybridprobe toggle
    An 'internal oligo' is intended to be used as a hybridization probe (hyb probe) to detect the PCR product after amplification. Default value: N

-mishyblibraryfile infile
    Similar to MISPRIMING-LIBRARY, except that the event we seek to avoid is hybridization of the internal oligo to sequences in this library rather than priming from them. The file must be in (a slightly restricted) FASTA format (W. B. Pearson and D.J. Lipman, PNAS 85:8 pp 2444-2448 [1988]); we briefly discuss the organization of this file below. If this parameter is specified then Eprimer32 locally aligns each candidate oligo against each library sequence and rejects those primers for which the local alignment score times a specified weight (see below) exceeds INTERNAL-OLIGO-MAX-MISHYB. (The maximum value of the weight is arbitrarily set to 12.0.) Each sequence entry in the FASTA-format file must begin with an 'id line' that starts with '>'. The contents of the id line is 'slightly restricted' in that Eprimer32 parses everything after any optional asterisk ('*') as a floating point number to use as the weight mentioned above. If the id line contains no asterisk then the weight defaults to 1.0. The alignment scoring system used is the same as for calculating complementarity among oligos (e.g. SELF-ANY). The remainder of an entry contains the sequence as lines following the id line up until a line starting with '>' or the end of the file. Whitespace and newlines are ignored. Characters 'A', 'T', 'G', 'C', 'a', 't', 'g', 'c' are retained and any other character is converted to 'N' (with the consequence that any IUB / IUPAC codes for ambiguous bases are converted to 'N'). There are no restrictions on line length. An empty value for this parameter indicates that no library should be used.

-mispriminglibraryfile infile
    The name of a file containing a nucleotide sequence library of sequences to avoid amplifying (for example repetitive sequences, or possibly the sequences of genes in a gene family that should not be amplified.) The file must be in (a slightly restricted) FASTA format (W. B. Pearson and D.J. Lipman, PNAS 85:8 pp 2444-2448 [1988]); we briefly discuss the organization of this file below. If this parameter is specified then Eprimer32 locally aligns each candidate primer against each library sequence and rejects those primers for which the local alignment score times a specified weight (see below) exceeds MAX-MISPRIMING. (The maximum value of the weight is arbitrarily set to 100.0.) Each sequence entry in the FASTA-format file must begin with an 'id line' that starts with '>'. The contents of the id line is 'slightly restricted' in that Eprimer32 parses everything after any optional asterisk ('*') as a floating point number to use as the weight mentioned above. If the id line contains no asterisk then the weight defaults to 1.0. The alignment scoring system used is the same as for calculating complementarity among oligos (e.g. SELF-ANY). The remainder of an entry contains the sequence as lines following the id line up until a line starting with '>' or the end of the file. Whitespace and newlines are ignored. Characters 'A', 'T', 'G', 'C', 'a', 't', 'g', 'c' are retained and any other character is converted to 'N' (with the consequence that any IUB / IUPAC codes for ambiguous bases are converted to 'N'). There are no restrictions on line length. An empty value for this parameter indicates that no repeat library should be used.

  Additional section

  Program options

-numreturn integer
    The maximum number of primer pairs to return. Primer pairs returned are sorted by their 'quality', in other words by the value of the objective function (where a lower number indicates a better primer pair). Caution: setting this parameter to a large value will increase running time. Default value: 5

  Sequence options

-includedregion range
    A sub-region of the given sequence in which to pick primers. For example, often the first dozen or so bases of a sequence are vector, and should be excluded from consideration. The value for this parameter has the form (start),(end) where (start) is the index of the first base to consider, and (end) is the last in the primer-picking region.

-targetregion range
    If one or more Targets is specified then a legal primer pair must flank at least one of them. A Target might be a simple sequence repeat site (for example a CA repeat) or a single-base-pair polymorphism. The value should be a space-separated list of (start),(end) pairs where (start) is the index of the first base of a Target, and (end) is the last E.g. 50,51 requires primers to surround the 2 bases at positions 50 and 51.

-excludedregion range
    Primer oligos may not overlap any region specified in this tag. The associated value must be a space-separated list of (start),(end) pairs where (start) is the index of the first base of the excluded region, and and (end) is the last. This tag is useful for tasks such as excluding regions of low sequence quality or for excluding regions containing repetitive elements such as ALUs or LINEs. E.g. 401,407 68,70 forbids selection of primers in the 7 bases starting at 401 and the 3 bases at 68.

-forwardinput string
    The sequence of a forward primer to check and around which to design reverse primers and optional internal oligos. Must be a substring of SEQUENCE.

-reverseinput string
    The sequence of a reverse primer to check and around which to design forward primers and optional internal oligos. Must be a substring of the reverse strand of SEQUENCE.

  Primer options

-gcclamp integer
    Require the specified number of consecutive Gs and Cs at the 3' end of both the forward and reverse primer. (This parameter has no effect on the internal oligo if one is requested.)

-osize integer
    Optimum length (in bases) of a primer oligo. Eprimer32 will attempt to pick primers close to this length. Default value: 20

-minsize integer
    Minimum acceptable length of a primer. Must be greater than 0 and less than or equal to MAX-SIZE. Default value: 18

-maxsize integer
    Maximum acceptable length (in bases) of a primer. Currently this parameter cannot be larger than 35. This limit is governed by the maximum oligo size for which Eprimer32's melting-temperature is valid. Default value: 27

-otm float
    Optimum melting temperature(Celsius) for a primer oligo. Eprimer32 will try to pick primers with melting temperatures are close to this temperature. The oligo melting temperature formula in Eprimer32 is that given in Rychlik, Spencer and Rhoads, Nucleic Acids Research, vol 18, num 21, pp 6409-6412 and Breslauer, Frank, Bloecker and Marky, Proc. Natl. Acad. Sci. USA, vol 83, pp 3746-3750. Please refer to the former paper for background discussion. Default value: 60.0

-mintm float
    Minimum acceptable melting temperature(Celsius) for a primer oligo. Default value: 57.0

-maxtm float
    Maximum acceptable melting temperature(Celsius) for a primer oligo. Default value: 63.0

-maxdifftm float
    Maximum acceptable (unsigned) difference between the melting temperatures of the forward and reverse primers. Default value: 100.0

-ogcpercent float
    Primer optimum GC percent. Default value: 50.0

-mingc float
    Minimum allowable percentage of Gs and Cs in any primer. Default value: 20.0

-maxgc float
    Maximum allowable percentage of Gs and Cs in any primer generated by Primer. Default value: 80.0

-saltconc float
    The millimolar concentration of salt (usually KCl) in the PCR. Eprimer32 uses this argument to calculate oligo melting temperatures. Default value: 50.0

-dnaconc float
    The nanomolar concentration of annealing oligos in the PCR. Eprimer32 uses this argument to calculate oligo melting temperatures. The default (50nM) works well with the standard protocol used at the Whitehead/MIT Center for Genome Research--0.5 microliters of 20 micromolar concentration for each primer oligo in a 20 microliter reaction with 10 nanograms template, 0.025 units/microliter Taq polymerase in 0.1 mM each dNTP, 1.5mM MgCl2, 50mM KCl, 10mM Tris-HCL (pH 9.3) using 35 cycles with an annealing temperature of 56 degrees Celsius. This parameter corresponds to 'c' in Rychlik, Spencer and Rhoads' equation (ii) (Nucleic Acids Research, vol 18, num 21) where a suitable value (for a lower initial concentration of template) is 'empirically determined'. The value of this parameter is less than the actual concentration of oligos in the reaction because it is the concentration of annealing oligos, which in turn depends on the amount of template (including PCR product) in a given cycle. This concentration increases a great deal during a PCR; fortunately PCR seems quite robust for a variety of oligo melting temperatures. See ADVICE FOR PICKING PRIMERS. Default value: 50.0

-maxpolyx integer
    The maximum allowable length of a mononucleotide repeat in a primer, for example AAAAAA. Default value: 5

  Product options

-psizeopt integer
    The optimum size for the PCR product. 0 indicates that there is no optimum product size. Default value: 200

-prange range
    The associated values specify the lengths of the product that the user wants the primers to create, and is a space separated list of elements of the form (x)-(y) where an (x)-(y) pair is a legal range of lengths for the product. For example, if one wants PCR products to be between 100 to 150 bases (inclusive) then one would set this parameter to 100-150. If one desires PCR products in either the range from 100 to 150 bases or in the range from 200 to 250 bases then one would set this parameter to 100-150 200-250. Eprimer32 favours ranges to the left side of the parameter string. Eprimer32 will return legal primers pairs in the first range regardless the value of the objective function for these pairs. Only if there are an insufficient number of primers in the first range will Eprimer32 return primers in a subsequent range. Default value: 100-300

-ptmopt float
    The optimum melting temperature for the PCR product. 0 indicates that there is no optimum temperature. Default value: 0.0

-ptmmin float
    The minimum allowed melting temperature of the amplicon. Please see the documentation on the maximum melting temperature of the product for details. Default value: -1000000.0

-ptmmax float
    The maximum allowed melting temperature of the amplicon. Product Tm is calculated using the formula from Bolton and McCarthy, PNAS 84:1390 (1962) as presented in Sambrook, Fritsch and Maniatis, Molecular Cloning, p 11.46 (1989, CSHL Press). Tm = 81.5 + 16.6(log10([Na+])) + .41*(%GC) - 600/length Where [Na+} is the molar sodium concentration, (%GC) is the percent of Gs and Cs in the sequence, and length is the length of the sequence. A similar formula is used by the prime primer selection program in GCG, which instead uses 675.0/length in the last term (after F. Baldino, Jr, M.-F. Chesselet, and M.E. Lewis, Methods in Enzymology 168:766 (1989) eqn (1) on page 766 without the mismatch and formamide terms). The formulas here and in Baldino et al. assume Na+ rather than K+. According to J.G. Wetmur, Critical Reviews in BioChem. and Mol. Bio. 26:227 (1991) 50 mM K+ should be equivalent in these formulae to .2 M Na+. Eprimer32 uses the same salt concentration value for calculating both the primer melting temperature and the oligo melting temperature. If you are planning to use the PCR product for hybridization later this behavior will not give you the Tm under hybridization conditions. Default value: 1000000.0

  Internal oligo input

-oexcludedregion range
    Middle oligos may not overlap any region specified by this tag. The associated value must be a space-separated list of (start),(end) pairs, where (start) is the index of the first base of an excluded region, and (end) is the last. Often one would make Target regions excluded regions for internal oligos.

-oligoinput string
    The sequence of an internal oligo to check and around which to design forward and reverse primers. Must be a substring of SEQUENCE.

  Internal oligo options

-osizeopt integer
    Optimum length (in bases) of an internal oligo. Eprimer32 will attempt to pick primers close to this length. Default value: 20

-ominsize integer
    Minimum acceptable length of an internal oligo. Must be greater than 0 and less than or equal to INTERNAL-OLIGO-MAX-SIZE. Default value: 18

-omaxsize integer
    Maximum acceptable length (in bases) of an internal oligo. Currently this parameter cannot be larger than 35. This limit is governed by maximum oligo size for which Eprimer32's melting-temperature is valid. Default value: 27

-otmopt float
    Optimum melting temperature (Celsius) for an internal oligo. Eprimer32 will try to pick oligos with melting temperatures that are close to this temperature. The oligo melting temperature formula in Eprimer32 is that given in Rychlik, Spencer and Rhoads, Nucleic Acids Research, vol 18, num 21, pp 6409-6412 and Breslauer, Frank, Bloecker and Marky, Proc. Natl. Acad. Sci. USA, vol 83, pp 3746-3750. Please refer to the former paper for background discussion. Default value: 60.0

-otmmin float
    Minimum acceptable melting temperature(Celsius) for an internal oligo. Default value: 57.0

-otmmax float
    Maximum acceptable melting temperature (Celsius) for an internal oligo. Default value: 63.0

-ogcopt float
    Internal oligo optimum GC percent. Default value: 50.0

-ogcmin float
    Minimum allowable percentage of Gs and Cs in an internal oligo. Default value: 20.0

-ogcmax float
    Maximum allowable percentage of Gs and Cs in any internal oligo generated by Primer. Default value: 80.0

-osaltconc float
    The millimolar concentration of salt (usually KCl) in the hybridization. Eprimer32 uses this argument to calculate internal oligo melting temperatures. Default value: 50.0

-odnaconc float
    The nanomolar concentration of annealing internal oligo in the hybridization. Default value: 50.0

-oanyself float
    The maximum allowable local alignment score when testing an internal oligo for (local) self-complementarity. Local self-complementarity is taken to predict the tendency of oligos to anneal to themselves The scoring system gives 1.00 for complementary bases, -0.25 for a match of any base (or N) with an N, -1.00 for a mismatch, and -2.00 for a gap. Only single-base-pair gaps are allowed. For example, the alignment 5' ATCGNA 3' || | | 3' TA-CGT 5' is allowed (and yields a score of 1.75), but the alignment 5' ATCCGNA 3' || | | 3' TA--CGT 5' is not considered. Scores are non-negative, and a score of 0.00 indicates that there is no reasonable local alignment between two oligos. Default value: 12.00

-oendself float
    The maximum allowable 3'-anchored global alignment score when testing a single oligo for self-complementarity. The scoring system is as for the Maximum Complementarity argument. In the examples above the scores are 7.00 and 6.00 respectively. Scores are non-negative, and a score of 0.00 indicates that there is no reasonable 3'-anchored global alignment between two oligos. In order to estimate 3'-anchored global alignments for candidate oligos, Primer assumes that the sequence from which to choose oligos is presented 5' to 3'. INTERNAL-OLIGO-SELF-END is meaningless when applied to internal oligos used for hybridization-based detection, since primer-dimer will not occur. We recommend that INTERNAL-OLIGO-SELF-END be set at least as high as INTERNAL-OLIGO-SELF-ANY. Default value: 12.00

-opolyxmax integer
    The maximum allowable length of an internal oligo mononucleotide repeat, for example AAAAAA. Default value: 5

-omishybmax float
    Similar to MAX-MISPRIMING except that this parameter applies to the similarity of candidate internal oligos to the library specified in INTERNAL-OLIGO-MISHYB-LIBRARY. Default value: 12.0

  Advanced section

-explainflag boolean
    If this flag is true, produce LEFT-EXPLAIN, RIGHT-EXPLAIN, and INTERNAL-OLIGO-EXPLAIN output tags, which are intended to provide information on the number of oligos and primer pairs that Eprimer32 examined, and statistics on the number discarded for various reasons. Default value: N

-fileflag boolean
    If the associated value is true, then Eprimer32 creates two output files for each input SEQUENCE. File (sequence-id).for lists all acceptable forward primers for (sequence-id), and (sequence-id).rev lists all acceptable reverse primers for (sequence-id), where (sequence-id) is the value of the SEQUENCE-ID tag (which must be supplied). In addition, if the input tag TASK is 1 or 4, Eprimer32 produces a file (sequence-id).int, which lists all acceptable internal oligos. Default value: N

-firstbaseindex integer
    This parameter is the index of the first base in the input sequence. For input and output using 1-based indexing (such as that used in GenBank and to which many users are accustomed) set this parameter to 1. For input and output using 0-based indexing set this parameter to 0. (This parameter also affects the indexes in the contents of the files produced when the primer file flag is set.) Default value: 1

-pickanyway boolean
    If true pick a primer pair even if LEFT-INPUT, RIGHT-INPUT, or INTERNAL-OLIGO-INPUT violates specific constraints. Default value: N

-maxmispriming float
    The maximum allowed weighted similarity with any sequence in MISPRIMING-LIBRARY. Default value: 12.00

-pairmaxmispriming float
    The maximum allowed sum of weighted similarities of a primer pair (one similarity for each primer) with any single sequence in MISPRIMING-LIBRARY. Default value: 24.00

-numnsaccepted integer
    Maximum number of unknown bases (N) allowable in any primer.

-selfany float
    The maximum allowable local alignment score when testing a single primer for (local) self-complementarity and the maximum allowable local alignment score when testing for complementarity between forward and reverse primers. Local self-complementarity is taken to predict the tendency of primers to anneal to each other without necessarily causing self-priming in the PCR. The scoring system gives 1.00 for complementary bases, -0.25 for a match of any base (or N) with an N, -1.00 for a mismatch, and -2.00 for a gap. Only single-base-pair gaps are allowed. For example, the alignment 5' ATCGNA 3' ...|| | | 3' TA-CGT 5' is allowed (and yields a score of 1.75), but the alignment 5' ATCCGNA 3' ...|| | | 3' TA--CGT 5' is not considered. Scores are non-negative, and a score of 0.00 indicates that there is no reasonable local alignment between two oligos. Default value: 8.00

-selfend float
    The maximum allowable 3'-anchored global alignment score when testing a single primer for self-complementarity, and the maximum allowable 3'-anchored global alignment score when testing for complementarity between forward and reverse primers. The 3'-anchored global alignment score is taken to predict the likelihood of PCR-priming primer-dimers, for example 5' ATGCCCTAGCTTCCGGATG 3' .............||| ||||| ..........3' AAGTCCTACATTTAGCCTAGT 5' or 5' AGGCTATGGGCCTCGCGA 3' ...............|||||| ............3' AGCGCTCCGGGTATCGGA 5' The scoring system is as for the Maximum Complementarity argument. In the examples above the scores are 7.00 and 6.00 respectively. Scores are non-negative, and a score of 0.00 indicates that there is no reasonable 3'-anchored global alignment between two oligos. In order to estimate 3'-anchored global alignments for candidate primers and primer pairs, Primer assumes that the sequence from which to choose primers is presented 5' to 3'. It is nonsensical to provide a larger value for this parameter than for the Maximum (local) Complementarity parameter because the score of a local alignment will always be at least as great as the score of a global alignment. Default value: 3.00

-scorrection list
    Specifies the salt correction formula for the melting temperature calculation. Default value: 1

-tmformula list
    Specifies details of melting temperature calculation. Default value: 1

  Primer penalty weights

-maxendstability float
    The maximum stability for the five 3' bases of a forward or reverse primer. Bigger numbers mean more stable 3' ends. The value is the maximum delta G for duplex disruption for the five 3' bases as calculated using the nearest neighbor parameters published in Breslauer, Frank, Bloecker and Marky, Proc. Natl. Acad. Sci. USA, vol 83, pp 3746-3750. Eprimer32 uses a completely permissive default value for backward compatibility (which we may change in the next release). Rychlik recommends a maximum value of 9 (Wojciech Rychlik, 'Selection of Primers for Polymerase Chain Reaction' in BA White, Ed., 'Methods in Molecular Biology, Vol. 15: PCR Protocols: Current Methods and Applications', 1993, pp 31-40, Humana Press, Totowa NJ). Default value: 9.0

  Output section

-outfile outfile

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

eprimer32 is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.